Bug 589 - smbclient '-N' option force users to logon anonymously
smbclient '-N' option force users to logon anonymously
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbclient
3.0.0
All All
: P3 normal
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-09 00:29 UTC by Shiro Yamada
Modified: 2005-11-14 09:25 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shiro Yamada 2003-10-09 00:29:28 UTC
While I was using "smbtar" in Samba 3.0, I have realised that smbtar fails to
archive files. 

   $ smbtar -s _SERVER_ -x _SHARE_ -u _USER_ -p _PASSWD_ -t _DEST_

This is because for some reason, smbclient accesses to SMB share anonymously,
and not enough privileges granted for anonymous access.

Analysing the problem in depth, apparantly, there is a bug in smbclient's
"-N" option. It seems as though '-N' option has precedence over {password}.
When both of them are provided, {password} is not used within the
authentication process.

In my opinion, {password} should have precedence over '-N'.
When both of them are provided by a user, she should still be able to
authenticate herself using her password.

smbtar is dependent on this bug.
Comment 1 Shiro Yamada 2003-10-09 17:16:03 UTC
To make it simple, here are simple examples:

$ smbclient //server/share pass -U user
smb: \> exit

$ smbclient //server/share pass -N -U user
Anonymous login successful
tree connect failed: NT_STATUS_ACCESS_DENIED
Comment 2 Gerald (Jerry) Carter 2004-02-10 14:42:24 UTC
smbtar has been fixed for 3.0.2
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:21:56 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:25:33 UTC
database cleanup